<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddSelection Method (IEdmBatchGet)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchGet Interface : AddSelection Method (IEdmBatchGet)

Visual Basic
C#
C++/CLI

poVault
  IEdmVault5; vault from which to get the files or folders

ppoSelection
  Array of EdmSelItem structures; one structure for each file or folder

Adds one or more files or folders to the batch of files or folders to get.

# Syntax

Visual Basic |
--- | ---

    Sub AddSelection( _
       ByVal poVault As EdmVault5, _
       ByRef ppoSelection() As EdmSelItem _
    )

C# |
--- | ---

    void AddSelection(
       EdmVault5 poVault,
       ref EdmSelItem[] ppoSelection
    )

C++/CLI |
--- | ---

    void AddSelection(
    &   EdmVault5^ poVault,
    &   array<EdmSelItem>^% ppoSelection
    )

#### Parameters

poVault
  IEdmVault5; vault from which to get the files or folders
ppoSelection
  Array of EdmSelItem structures; one structure for each file or folder

# Example

See the IEdmBatchGet examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchGet Interface
IEdmBatchGet Members

# Availability

Version 6.3 of SOLIDWORKS PDM Professional